This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 342171 - multiarch conflicts in libgtk-java
multiarch conflicts in libgtk-java
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgtk-java (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:46 EDT by Bill Nottingham
Modified: 2014-03-16 23:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-30 10:25:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:46:46 EDT
libgtk-java (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/share/doc/libgtk-java-devel-2.8.7/api/alphaindex.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/AxisUse.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/ByteOrder.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/CapStyle.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/Colorspace.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/CrossingMode.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/Cursor.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/CursorType.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/Fill.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/FillRule.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/Gdk.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/JoinStyle.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/LineStyle.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/PixbufAlphaMode.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/RgbCmap.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/ScrollDirection.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/Status.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/SubwindowMode.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/VisibilityState.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/VisualType.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/WMFunction.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/WindowClass.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/WindowHints.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/WindowState.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/WindowTypeException.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gdk/package-summary.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/glib/SpawnError.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/glib/package-summary.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/AccelMap.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/AnchorType.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/CellRendererMode.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/DebugFlag.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/DeleteType.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/MetricType.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/PackDirection.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/PathPriorityType.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/PathType.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/Rc.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/RcFlags.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/RcProperty.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/RcTokenType.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/Requisition.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/ScrollType.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/SubmenuDirection.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/SubmenuPlacement.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/TextLineData.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/ToolBarStyle.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/ToolTipsData.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/TreeDragDestListener.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/TreeIterComparison.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/Visibility.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/WidgetHelpType.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/WindowType.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/api/org/gnu/gtk/package-summary.html from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7
  file /usr/share/doc/libgtk-java-devel-2.8.7/examples/runExample.sh from install of libgtk-java-devel-2.8.7-4.fc7 conflicts with file from package libgtk-java-devel-2.8.7-4.fc7

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Bug Zapper 2008-05-13 23:34:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Stepan Kasal 2009-04-30 10:25:38 EDT
the latest release
  libgtk-java-2.8.7-10.fc11
has most of these conflicts eliminated; the only remaining one is
/usr/share/doc/libgtk-java-devel-2.8.7/examples/runExample.sh

These old java-gnome packages are no longer supported upstream, so we should probably phase them out as well; thus it is not worth it to fix the conflict.

Note You need to log in before you can comment on or make changes to this bug.